<?php

namespace Webnestors\Wsn\Snippets;

class AdminDisplayStockHistory extends \Webnestors\Wsn\Snippet {
    public function is_pro() : bool {
        return true;
    }

    public function tab() : string {
        return "admin";
    }

    public function title() : string {
        return esc_html__( "Display Stock History", "enhancements-for-woocommerce" );
    }

    public function description() : string {
        return esc_html__( "View stock status changes with dates on every product", "enhancements-for-woocommerce" );
    }

    public function meta() : array {
        return [];
    }

    public function tooltip() : ?string {
        ob_start();
        ?>
        <h1><strong><?php 
        echo esc_html( $this->title() );
        ?></strong></h1>
        <h3>Description</h3>
        <p>The Display Stock History module provides a powerful tool for WooCommerce administrators by enabling them to view a detailed history of stock status changes for each product. This feature tracks and logs changes in inventory levels, allowing admins to see when stock levels were updated, whether items were added or removed, and the corresponding dates of these changes.</p>
        <h3>Settings</h3>
        <p>Just enable this and you go to product edit page to see the effect of the module</p>
        <h3>Appearance</h3>
        <p>The are no appearence options for this module</p>
        <?php 
        return ob_get_clean();
    }

    public function run() {
    }

    function wn_historical_stock_product_parent( $product ) {
    }

    function wn_product_meta_box() {
    }

    function wn_display_stock_history() {
    }

}
